Subject: Re: bug#59730: gdb-mi.el: Local variables reordering

From: Gustaf Waldemarson <[email-masked]>
Date: Thu, 8 Dec 2022 19:43:46 +0100

> I don't like making backwards-incompatible changes such as removing a
> user option.  How about if the default value of
> gdb-locals-table-row-config used the value of gdb-locals-value-limit
> instead of a literal 100?

Done

>  "frame or window", right?

I had to do a double take on this to make sure I was using the right
terminology,
at least according to the Emacs GDB documentation
(
https://www.gnu.org/software/emacs/manual/html_node/emacs/GDB-User-Interface-Layout.html
)
it seems like it should be the "local variables buffer", so I changed the
news entry
to match that, hope that's alright.

>  Our conventions are to use two spaces between sentences.

Should be fixed now as well

> That value is incorrect, because the value was truncated at 100, due
> to gdb-locals-value-limit, right?

Indeed, that was my bad and should be fixed now

>  I hope we won't need this paragraph.

Indeed, it is removed as requested

That should be everything I think, if there's anything else, please just
say so,
and thanks again for the feedback!

Best regards,
Gustaf

Den ons 7 dec. 2022 kl 18:50 skrev Eli Zaretskii <[email-masked]>:

> > From: Gustaf Waldemarson <[email-masked]>
> > Date: Sun, 4 Dec 2022 15:26:22 +0100
> > Cc: [email-masked]
> >
> > There I also noticed that that the `gdb-locals-value-limit'
> > has become redundant with this change. Unfortunately, I wasn't able to
> figure out how
> > to mark that defcustom as deprecated, is there some kind of macro that
> should be done
> > for that, or should I just remove it?
>
> I don't like making backwards-incompatible changes such as removing a
> user option.  How about if the default value of
> gdb-locals-table-row-config used the value of gdb-locals-value-limit
> instead of a literal 100?
>
> > +** Variable order and truncation can now be configured in
> gdb-many-window mode.
> > +The new variable `gdb-locals-table-row-config' allows users to
> > +configure the order and max length of various properties in the local
> > +variables frame.
>              ^^^^^
> "frame or window", right?
>
> > +By default, this variable is set to write the properties in the order:
> > +name, type and value. Where name and type are truncated to 20
>                        ^^
> Our conventions are to use two spaces between sentences.
>
> > +characters, and the value is truncated to 100.
> > +
> > +In order to restore the old display behavior, set
> > +`gdb-locals-table-row-config' to '((type . 0)(name . 0)(value . 0)).
>
> That value is incorrect, because the value was truncated at 100, due
> to gdb-locals-value-limit, right?
>
> > +Additionally, this behavior encompasses the actions of the old
> > +`gdb-locals-value-limit' variable, which is no longer used and marked
> > +deprecated.
>
> I hope we won't need this paragraph.
>
> Thanks.
>